WPS4TextInternal::Font Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::Font Struct Referencefinal

Internal: class to store font properties. More...

Inheritance diagram for WPS4TextInternal::Font:

## Public Member Functions
| Font (libwps_tools_win::Font::Type type)
| constructor with file's version to define the default encoding *‍/
| Font (Font const &)=default
Font & | operator= (Font const &)=default
| ~Font () final
| destructor
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor
| WPSFont (WPSFont const &)=default
| WPSFont (WPSFont &&)=default
WPSFont & | operator= (WPSFont const &)=default
WPSFont & | operator= (WPSFont &&)=default
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Static Public Member Functions
static Font | getDefault (libwps_tools_win::Font::Type type, int version)
| returns a default font (Courier12) with file's version to define the default encoding *‍/
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Public Attributes
libwps_tools_win::Font::Type | m_type
| the font encoding type
WPSColor | m_backColor
| background color index
bool | m_special
| a flag to know if we have a special field (a note), ...
int | m_dlinkId
| a id to retrieve a file name ( dos )
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<<

## Detailed Description

Internal: class to store font properties.

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

WPS4TextInternal::Font::Font | ( | libwps_tools_win::Font::Type | type | ) |
| inlineexplicit

constructor with file's version to define the default encoding *‍/

Referenced by Font(), getDefault(), operator<<, and operator=().

## ◆ Font() [2/2]

WPS4TextInternal::Font::Font | ( | Font const & |  | ) |
| default

## ◆ ~Font()

WPS4TextInternal::Font::~Font | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getDefault()

static Font WPS4TextInternal::Font::getDefault | ( | libwps_tools_win::Font::Type | type,
|  | int | version )
| inlinestatic

returns a default font (Courier12) with file's version to define the default encoding *‍/

Referenced by getDefault().

## ◆ operator=()

Font & WPS4TextInternal::Font::operator= | ( | Font const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

WPSColor WPS4TextInternal::Font::m_backColor

background color index

Referenced by Font(), operator<<, and WPS4Text::readFont().

## ◆ m_dlinkId

int WPS4TextInternal::Font::m_dlinkId

a id to retrieve a file name ( dos )

Referenced by Font(), operator<<, WPS4Text::readFont(), and WPS4Text::readText().

## ◆ m_special

bool WPS4TextInternal::Font::m_special

a flag to know if we have a special field (a note), ...

Referenced by Font(), operator<<, WPS4Text::readFont(), and WPS4Text::readText().

## ◆ m_type

libwps_tools_win::Font::Type WPS4TextInternal::Font::m_type

the font encoding type

Referenced by Font(), WPS4Text::readFont(), and WPS4Text::readText().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp